Bug 11666 - winston 22 May gnorpm segfaults when verifying a package
winston 22 May gnorpm segfaults when verifying a package
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
7.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Tim Waugh
Winston rc1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-25 14:42 EDT by David Lawrence
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 09:13:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 2000-05-25 14:42:05 EDT
Using gnorpm operation find on file /usr/bin/gftp it correctly found the
RPM.  WHen the RPM was highlighted and the verify button clicked, a popup
showed that gnorpm segfaulted.
Comment 1 Glen Foster 2000-07-30 18:23:49 EDT
This defect is considered MUST-FIX for Winston Release-Candidate #1
Comment 2 Tim Waugh 2000-08-01 12:43:04 EDT
A little bit more information: I've traced this to dbiGet returning DB_NOTFOUND
at rpmdb.c:1412, from verify_packages in gnorpm (verify.c:87).
Comment 3 Tim Waugh 2000-08-03 09:13:48 EDT
I have a fix for this.  Testing now.

Note You need to log in before you can comment on or make changes to this bug.